class ContestPolicy < ApplicationPolicy
  def index?
    true
  end

  def show?
    record.user.id == user.id || user.admin?
  end

  def new?
    true
  end

  def create?
    true
  end

  def edit?
    record.user.id == user.id || user.admin?
  end

  def update?
    record.user.id == user.id || user.admin?
  end

  def destroy?
    record.user.id == user.id || user.admin?
  end

  def scoreboard?
    true
  end
end
